<div class="flex">
  <form [formGroup]="defautsForm">
    <mat-card class="m-5 mat-elevation-z4">
      <mat-card-header>
        <mat-card-title>Défauts</mat-card-title>
      </mat-card-header>
      <mat-card-content>
        <mat-divider inset="true"></mat-divider>
        <mat-progress-bar
          mode="indeterminate"
          [ngStyle]="{ visibility: loading ? 'visible' : 'hidden' }"
          class="mb-3"
        ></mat-progress-bar>
        <div>
          <p-table
            styleClass="p-datatable-gridlines p-datatable-striped p-datatable-sm"
            [autoLayout]="true"
            [value]="criteresDeTri"
            [paginator]="true"
            [rows]="5"
            [showCurrentPageReport]="true"
            currentPageReportTemplate="Showing {first} to {last} of {totalRecords} entries"
            [rowsPerPageOptions]="[5, 10, 25]"
          >
            <ng-template pTemplate="header">
              <tr>
                <th rowspan="2" style="text-align: center">Défaut</th>
                <th colspan="2" style="text-align: center">A casser</th>
                <th rowspan="2" style="text-align: center">A réparer</th>
                <th rowspan="2" style="text-align: center">ARG/MRP</th>
                <th rowspan="2" style="text-align: center">
                  Bons apres racco Fleurus
                </th>
                <th rowspan="2" style="text-align: center">
                  Bon après racco AVO
                </th>
                <th rowspan="2" style="text-align: center">Bons</th>
                <!-- <th rowspan="2" style="text-align: center">Total</th> -->
              </tr>
              <tr>
                <th style="text-align: center">Fleurus</th>
                <th style="text-align: center">AVO</th>
              </tr>
            </ng-template>
            <ng-template pTemplate="body" let-criteresDeTri>
              <tr formGroupName="{{ criteresDeTri.critereId }}">
                <td>{{ criteresDeTri.nomCritere }}</td>
                <td>
                  <mat-form-field>
                    <input matInput type="number" formControlName="fleurus" />
                  </mat-form-field>
                </td>
                <td>
                  <mat-form-field>
                    <input matInput type="number" formControlName="AVO" />
                  </mat-form-field>
                </td>
                <td>
                  <mat-form-field>
                    <input matInput type="number" formControlName="aReparer" />
                  </mat-form-field>
                </td>
                <td>
                  <mat-form-field>
                    <input matInput type="number" formControlName="ARGMRP" />
                  </mat-form-field>
                </td>
                <td>
                  <mat-form-field>
                    <input
                      matInput
                      type="number"
                      formControlName="bonsApresRaccoFleurus"
                    />
                  </mat-form-field>
                </td>
                <td>
                  <mat-form-field>
                    <input
                      matInput
                      type="number"
                      formControlName="bonsApresRaccoAVO"
                    />
                  </mat-form-field>
                </td>
                <td>
                  <mat-form-field>
                    <input matInput type="number" formControlName="bons" />
                  </mat-form-field>
                </td>
                <!-- <td>
                  <mat-form-field>
                    <input matInput type="number" formControlName="total" />
                  </mat-form-field>
                </td> -->
              </tr>
            </ng-template>
          </p-table>
        </div>
        <h2>Total de verre: {{ totalDeVerres }}</h2>
      </mat-card-content>
    </mat-card>
  </form>
</div>
